using Edu.Common.Plugin;
using System;
using System.Collections.Generic;
using System.Text;

namespace Edu.Common.Enum.WeChat
{
    /// <summary>
    /// 企业微信旅程类型枚举
    /// </summary>
    public enum CustomerTripTypeEnum
    {
        /// <summary>
        /// 行为动态
        /// </summary>
        [EnumField("行为动态")]
        Behavior = 1,
        /// <summary>
        /// 操作动态
        /// </summary>
        [EnumField("操作动态")]
        Operate = 2,
        /// <summary>
        /// 跟进记录
        /// </summary>
        [EnumField("跟进记录")]
        FollowUp = 3,
        /// <summary>
        /// 签到记录
        /// </summary>
        [EnumField("签到记录")]
        Check = 4,
        /// <summary>
        /// 聊天
        /// </summary>
        [EnumField("聊天")]
        Chat = 5,
        /// <summary>
        /// 短信
        /// </summary>
        [EnumField("短信")]
        Message = 6,
        /// <summary>
        /// 通话
        /// </summary>
        [EnumField("通话")]
        Tell = 7,
        /// <summary>
        /// 流转记录
        /// </summary>
        [EnumField("流转记录")]
        Record = 8
    }
}
